package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.Customer;

import java.util.List;


public interface CustomerDao extends BaseMapper<Customer> {

    /**
     * 小程序授权登录 查询
     *
     * @return
     */
    Customer selectAuthLogin(String sxcxopenid);

    List<Customer> selectByParam(Customer doc);

    List<Customer> selectByParamPageList(Customer doc);

    List<Customer> selectCountByParamPageList(Customer doc);

    /**
     * 根据id  查询一个
     * @param id
     * @return
     */
    Customer selectByPrimaryKey(Integer id);
}
